#
# spec file for package python-python-twitter
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-twitter
Version:        1.1
Release:        1.1
Url:            http://code.google.com/p/python-twitter
Summary:        A python wrapper around the Twitter API
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         http://python-twitter.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-simplejson
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This library provides a pure Python interface for the Twitter API.

Twitter (http://twitter.com) provides a service that allows people to
connect via the web, IM, and SMS.  Twitter exposes a web services API
(http://dev.twitter.com/doc) and this library is intended to make
it even easier for Python programmers to use.

%prep
%setup -q

%build
python setup.py build

%install
find . -type f -name "*.py" -exec sed -i "s|!\/usr\/bin\/python2.4|!\/usr\/bin\/python|" {} \;
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING examples LICENSE NOTICE README.md
%python_sitelib/*

%changelog
* Fri Nov 15 2013 p.drouand@gmail.com
- Update to version 1.1.0
  + Remove from ParseTweet the Python 2.7 only dict comprehension item
  + Fix GetListTimeline condition to enable owner_screen_name based fetching
  + Many fixes for readability and PEP8
  + Cleaning up some of the package importing. Only importing the functions that are needed
  + Also added first build of the sphinx documentation. Copied some info from the readme to the index page
  + Added lines to setup.py to help the user troubleshoot install problems. #109
  + Removed the OAuth2 lines from the readme
  + Removed OAuth2 library requirements
  + Added GetListMembers()
- Changes from 1.0.1
  + added README bit about Python version requirement
- Changes from 1.0
  + removed doc directory until we can update docs for v1.1 API
  + added to package MANIFEST.in the testdata directory
- Changes from 1.0rc1
  + The library is now only for Twitter API v1.1
- Changes from 0.8.7
  + removed GetPublicTimeline from the docs so as to stop confusing
    new folks since it was the first example given
* Mon Feb 11 2013 p.drouand@gmail.com
- Update to 0.8.6
  * update requirements.txt to remove distribute reference
    github commit 3b9214a879e5fbd03036a7d4ae86babc03784846
  * Merge pull request #33 from iElectric/profile_image_url_https
    github commit 67cbb8390701c945a48094795474ca485f092049
  * Change User.NewFromJsonDict so that it will pull from either
    profile_image_url_https or profile_image_url to keep older code
    working properly if they have stored older json data
- Clean the specfile
* Wed May 25 2011 saschpe@suse.de
- Update to version 0.8.2
  * Fixed issues 193, 181, 182, 137, 93, 190, 166, 187, 184, 185, 183
- Corrected shebang line for *.py files to use the correct interpreter
* Fri Apr 15 2011 saschpe@suse.de
- Update to version 0.8.1
- Spec file cleanup:
  - Added documentation
  - Set to noarch
  - Set license to APLv2
* Mon Sep 21 2009 alexandre@exatati.com.br
- Included require in the spec file.
* Tue Aug 18 2009 alexandre@exatati.com.br
- Initial package (0.6) for openSUSE.
